<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>VecCreateGhost</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="VecCreateGhost"><H1>VecCreateGhost</H1></A>
Creates a parallel vector with ghost padding on each processor. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscvec.h"   
PetscErrorCode  VecCreateGhost(MPI_Comm comm,PetscInt n,PetscInt N,PetscInt nghost,const PetscInt ghosts[],Vec *vv)
</PRE>
Collective on <A HREF="../Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B><A HREF="../Sys/comm.html#comm">comm</A> </B></TD><TD>- the MPI communicator to use
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>n </B></TD><TD>- local vector length 
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>N </B></TD><TD>- global vector length (or <A HREF="../Sys/PETSC_DECIDE.html#PETSC_DECIDE">PETSC_DECIDE</A> to have calculated if n is given)
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>nghost </B></TD><TD>- number of local ghost points
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>ghosts </B></TD><TD>- global indices of ghost points
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<DT><B>vv </B> -the global vector representation (without ghost points as part of vector)
<br>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
Use <A HREF="../Vec/VecGhostGetLocalForm.html#VecGhostGetLocalForm">VecGhostGetLocalForm</A>() to access the local, ghosted representation
of the vector.
<P>
This also automatically sets the <A HREF="../IS/ISLocalToGlobalMapping.html#ISLocalToGlobalMapping">ISLocalToGlobalMapping</A>() for this vector.
<P>

<P>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Vec/VecCreateSeq.html#VecCreateSeq">VecCreateSeq</A>(), <A HREF="../Vec/VecCreate.html#VecCreate">VecCreate</A>(), <A HREF="../Vec/VecDuplicate.html#VecDuplicate">VecDuplicate</A>(), <A HREF="../Vec/VecDuplicateVecs.html#VecDuplicateVecs">VecDuplicateVecs</A>(), <A HREF="../Vec/VecCreateMPI.html#VecCreateMPI">VecCreateMPI</A>(),
<BR><A HREF="../Vec/VecGhostGetLocalForm.html#VecGhostGetLocalForm">VecGhostGetLocalForm</A>(), <A HREF="../Vec/VecGhostRestoreLocalForm.html#VecGhostRestoreLocalForm">VecGhostRestoreLocalForm</A>(), <A HREF="../Vec/VecGhostUpdateBegin.html#VecGhostUpdateBegin">VecGhostUpdateBegin</A>(),
<A HREF="../Vec/VecCreateGhostWithArray.html#VecCreateGhostWithArray">VecCreateGhostWithArray</A>(), <A HREF="../Vec/VecCreateMPIWithArray.html#VecCreateMPIWithArray">VecCreateMPIWithArray</A>(), <A HREF="../Vec/VecGhostUpdateEnd.html#VecGhostUpdateEnd">VecGhostUpdateEnd</A>(),
<A HREF="../Vec/VecCreateGhostBlock.html#VecCreateGhostBlock">VecCreateGhostBlock</A>(), <A HREF="../Vec/VecCreateGhostBlockWithArray.html#VecCreateGhostBlockWithArray">VecCreateGhostBlockWithArray</A>()
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/vec/vec/impls/mpi/pbvec.c.html#VecCreateGhost">src/vec/vec/impls/mpi/pbvec.c</A>
<BR><A HREF="./index.html">Index of all Vec routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/vec/vec/examples/tutorials/ex9.c.html">src/vec/vec/examples/tutorials/ex9.c.html</A><BR>
<A HREF="../../../src/vec/vec/examples/tutorials/ex9f.F.html">src/vec/vec/examples/tutorials/ex9f.F.html</A><BR>
<A HREF="../../../src/vec/vec/examples/tutorials/ex14f.F.html">src/vec/vec/examples/tutorials/ex14f.F.html</A><BR>
</BODY></HTML>
